## e-mem 1.0.1

=== Makefile ===
ifndef BIN_DIR
BIN_DIR := $(CURDIR)
endif

CC        = g++
EXEC      = e-mem
CFLAGS    = -Wall -Wextra -Wunused -mpopcnt -std=gnu++0x -fopenmp 
CDEBUG    = -g -ggdb -gdwarf-3 -DDEBUG 
CPROF    = -g -ggdb -gdwarf-3 -DDEBUG -pg 
COPTIMIZE = -Wuninitialized -O3 -fomit-frame-pointer
CLIBS     = -lm

CSRCS     = $(wildcard *.cpp)
CHDRS     = $(wildcard *.h)
TXTS      = $(wildcard *.txt README* LICENSE*)
SCRIPTS   = $(wildcard Makefile* *.sh *.py)

NAME    := "e-mem"
CPUARCH := $(shell uname -m)

ifeq ($(MAKECMDGOALS),debug)
        CFLAGS += $(CDEBUG)
else ifeq ($(MAKECMDGOALS),profile)
        CFLAGS += $(CPROF)
else
        CFLAGS += $(COPTIMIZE)
endif

.PHONY: all clean pack bin

all: clean bin

debug: all

profile: all

bin:
	@echo :: Compiling \"$(NAME)\" \($(CPUARCH)\) ...
	$(CC) $(CFLAGS) $(CSRCS) $(CLIBS) -o $(BIN_DIR)/$(EXEC) 
	chmod 755 $(BIN_DIR)/$(EXEC)
	@echo :: Done

clean:
	@echo :: Cleaning up ...
	@rm -f $(BIN_DIR)/$(EXEC) $(BIND_DIR)/$(EXEC).tar.gz

pack:
	@echo :: Packing files ...
	tar -cvzhf $(BIND_DIR)/$(EXEC).tar.gz $(CSRCS) $(CHDRS) $(TXTS) $(SCRIPTS)
	@echo :: Done

## e-mem 1.0.0

=== debian/changelog ===
e-mem (1.0.0-1) unstable; urgency=medium

  * New upstream version available from Github
    Closes: #862161

 -- Andreas Tille <tille@debian.org>  Wed, 10 May 2017 15:06:02 +0200

e-mem (0.0+20160706-3) unstable; urgency=medium

  * Revert restrictions to certain architectures and drop -mpopcnt option
    instead.  Thanks for the hint to Adrian Bunk <bunk@debian.org>.
    Closes: #861911

 -- Andreas Tille <tille@debian.org>  Mon, 08 May 2017 08:29:56 +0200

e-mem (0.0+20160706-2) unstable; urgency=medium

  * Restrict architectures to any-amd64 any-i386 any-x32
    Closes: #861911

 -- Andreas Tille <tille@debian.org>  Fri, 05 May 2017 20:17:53 +0200

e-mem (0.0+20160706-1) unstable; urgency=medium

  * Initial release (Closes: #861721)

 -- Andreas Tille <tille@debian.org>  Wed, 03 May 2017 10:04:53 +0200

=== debian/control ===
Source: e-mem
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               libboost-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/e-mem.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/e-mem.git
Homepage: http://www.csd.uwo.ca/~ilie/E-MEM/

Package: e-mem
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Enhances: mummer
Description: Efficient computation of Maximal Exact Matches for very large genomes
 E-MEM enables efficient computation of Maximal Exact Matches (MEMs) that
 does not use full text indexes. The algorithm uses much less space and
 is highly amenable to parallelization. It can compute all MEMs of
 minimum length 100 between the whole human and mouse genomes on a 12
 core machine in 10 min and 2 GB of memory; the required memory can be as
 low as 600 MB. It can run efficiently genomes of any size. Extensive
 testing and comparison with currently best algorithms is provided.
 .
 Mummer has many different scripts where one of the key program is MEM
 computation. In all the scripts, the MEM computation program can be
 replaced with e-mem with ease for better performance.

## e-mem 1.0.1

=== debian/changelog ===
e-mem (1.0.1-5) unstable; urgency=medium

  [ Étienne Mollier ]
  * d/control: update uploader address
  * d/watch: fix broken link to github

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 21:33:39 +0200

e-mem (1.0.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * add cross.patch, fix FTCBFS.  (Closes: #976876)

  [ Étienne Mollier ]
  * add cppflags.patch, fix blhc warnings.
  * mark remove_unused_mpopcnt_option.patch forwarding not needed.
  * add myself to uploaders.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 09 Dec 2020 18:27:36 +0100

e-mem (1.0.1-3) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2020 22:50:47 +0100

e-mem (1.0.1-2) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove unneeded get-orig-source script

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 13:52:46 +0100

e-mem (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Thu, 15 Feb 2018 16:45:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: e-mem
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                libboost-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/e-mem.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/e-mem.git
-Homepage: http://www.csd.uwo.ca/~ilie/E-MEM/
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/med-team/e-mem
+Vcs-Git: https://salsa.debian.org/med-team/e-mem.git
+Homepage: https://www.csd.uwo.ca/~ilie/E-MEM/
+Rules-Requires-Root: no
 
 Package: e-mem
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PATH=.:$(PATH) ./run_example
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/lucian-ilie/E-MEM/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
